toil (9.3.0-2) unstable; urgency=medium

  * Resume autopkgtests on i386.
  * Refreshed newer cwltool & cwl-utils patch from upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 17 Apr 2026 11:00:26 +0200

toil (9.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Refreshed patches, removing 3 not-needed or applied upstream.
  * d/control: build-dep & recommend python3-galaxy-tool-util.
  * New upstream version
  * Standards-Version: 4.7.4 (routine-update)
  * Refreshed patches
  * Cherry-picked patch from upstream for newer cwltool & cwl-utils.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 16 Apr 2026 15:14:03 +0200

toil (9.1.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Homepage moved to https://github.com/DataBiosphere/toil
  * d/watch: version=5

  [ Michael R. Crusoe ]
  * Accepted patch to use SubTest from pytest 9.0.1+. Closes: #1123531
  * New upstream version
  * Freshen version patch
  * d/rules: skip testing on Python 3.14 until the next toil release
  * d/control: bump minimum cwltool version, add two suggestions
    (condor, kubernetes)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 08 Jan 2026 09:36:23 +0100

toil (9.1.0-1) unstable; urgency=medium

  * New upstream version.
      Toil's AWS job store now depends only on the S3 API; Amazon SimpleDB is
        no longer required.
      Toil's autoscaler should again be able to add AWS spot market nodes.
      Toil now checks scontrol first for Slurm jobs, and then pages through
        constrained time ranges of data from sacct, instead of first asking
        sacct about all of history.
      Breaking Changes
        Because of the new AWS job store implementation, Toil 9.1 can no longer
        read, delete, or resume AWS job stores created with Toil 9.0 or
        earlier. If you need to destroy an old job store, use toil clean
        from toil[aws]==9.0. In general, Toil doesn't consider losing
        compatibility with an older Toil's job store data on disk to be a
        major-version-worthy change, since it might happen any time Toil
        revises its internal data structures, but in this case the lack of
        delete support for the old format is a tripping hazard that we want to
        call out.
  * Refreshed patches
  * Cleaned up some lintian warnings
  * New typos for the spelling patch, and forwarded them upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 17 Oct 2025 11:42:07 +0200

toil (9.0.0-1) unstable; urgency=medium

  * New upstream version.
      Added new unified plugin system.
      Toil now supports URL plugins.
      --importWorkersThreshold has been renamed to --importWorkersBatchsize.
      Fix a bug in Toil server mode CWL YAML parsing.
      CWL worker import works again.
      CWL: Fixed a regression with tmpdir_prefix and nonexistent diectories
      Added --cwl-min-ram to CWL. This specifies a minimum memory allocation
      for all jobs. This is different than --defaultMemory, which only applies
      to jobs without explicitly set memory requirements.
  * Refreshed patches.
  * d/control: needs pytest-httpserver for a new test.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Oct 2025 09:15:28 +0200

toil (8.2.0-1) unstable; urgency=medium

  * New upstream version.
        Fixed slurm partition selection
        Cleanup of unneeded files
        Improve Google Cloud authentication errors
        Caching support for CWL
        Add `--slurmPartition` and `--slurmGPUPartition` and support `--time`
          in `TOIL_SLURM_ARGS`
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches. Dropped 3 that are not longer needed
  * d/control: include cwltest, python3-pytest-timeout,
               python3-pytest-subtests, and python3-prompt-toolkit
  * Added patch to fix typos

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Sep 2025 15:15:12 +0200

toil (8.0.0-5) unstable; urgency=medium

  * d/rules: skip flaky testServices. Closes: #1101085

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 09 Apr 2025 13:42:27 +0200

toil (8.0.0-4) unstable; urgency=medium

  * d/rules: skip the slow tests
  * d/patches/needs_aws-proxyfix: forwarded upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 21 Mar 2025 17:28:28 +0100

toil (8.0.0-3) unstable; urgency=medium

  * d/tests/autopkgtest-pkg-pybuild.conf: fix typo

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 19 Mar 2025 18:39:08 +0100

toil (8.0.0-2) unstable; urgency=medium

  * d/watch: mark beta releases as such
  * Skip autopktests on 32-bit architectures
  * d/rules: skip the testMultiplejobs tests, they are flaky during
    parallel execution. Closes: #1100817

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 19 Mar 2025 12:41:12 +0100

toil (8.0.0-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version
  * Refresh patches
  * d/patches/allow_newer_requests: added
  * docs: link to cwltool-doc; link to python3-doc locally
  * d/patches/skip-mypy-boto3: these type hints are not packaged for
    Debian yet
  * d/patches/needs_aws-proxyfix: Fix build due to purposely invalid
    proxy configuration.
  * d/rules: skip online tests
  * d/patches/setting_version.patch: update for Python 3.12
  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of "auto" for setting
    the amount of parallel testing.
  * Refreshed patches; removed "skip-mypy-boto3" and "python3.12-
    syntax.patch" as they are no longer needed.
  * Added patch to remove the restrictions on the psutil Python package
    version.
  * Updated the fix-tests patch to fix more tests.
  * d/control: cwl-utils is needed for the tests
  * Added patch with a minimal PEP-517 pyproject.toml, to improve how we
    run the tests.
  * d/rules: simplify
  * d/rules: skip manual page building in when the "nodoc" build profile
    is active.
  * Switch autopkgtest to autopkgtest-pkg-pybuild
  * d/TODO: removed several completed items.
  * d/toil.lintian-overrides: removed, no longer applicable
  * d/patches/soften-configargparser-deps: removed, no longed needed

  [ Andreas Tille ]
  * Fix Python3.12 string syntax
    Closes: #1087116
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 18 Mar 2025 17:34:39 +0100

toil (6.1.0-4) unstable; urgency=medium

  * d/control: we now need an explicit dependency on python3-tz. Closes:
    #1070055

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 29 Apr 2024 16:41:47 +0200

toil (6.1.0-3) unstable; urgency=medium

  * d/README.source: make more explicit the need to follow the
    instructions in debian/patch/settings_version.patch on every new
    source tarball.
  * d/control: drop unneeded dependency on python3-distutils.
    Closes: #1065987

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Mar 2024 12:14:38 +0100

toil (6.1.0-2) unstable; urgency=medium

  * d/control: azure support is gone, don't suggest it anymore.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 28 Feb 2024 15:20:36 +0100

toil (6.1.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Run test for all supported Python versions
  * Do not force any specific docker version, just take the Debian
    packaged one

  [ Michael R. Crusoe ]
  * d/patches/setting_version.patch: regenerate according to the
    intructions in d/README.source.
  * d/tests/run-unit-tests: two more tests need skipping.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 28 Feb 2024 11:42:03 +0100

toil (6.0.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #1058195
  * Drop python3-future from Build-Depends
    Closes: #1059945
  * Drop python3-boto from (Build-/Test-)Depends since upstream considers
    this module optional (see
     https://github.com/DataBiosphere/toil/issues/4718#issuecomment-1904474636
    )
    Closes: #1058237
  * Build-Depends: python3-configargparse
  * Soften versioned dependency from cwltool

  [ Michael R. Crusoe ]
  * d/rules,d/control, d/patches/intersphinx: Fix some sphinx warnings, ignore
                                              the rest.
  * Add patch to avoid need for ruamel.yaml.string package.
  * Add patch to allow for older configarparser version.
  * Ignore the new test_cactus_integration
  * Enhance avoid_boto patch
  * d/patches: updated metatdata
  * d/copyright: upstream removed wdl_functions.py
  * Add patch to remove use of distutils by copying in strtobool().
  * d/control: bump some minimum versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jan 2024 15:24:30 +0100

toil (5.12.0-2) unstable; urgency=medium

  * d/tests/run-unit-tests: fix typo.
  * Added patch to the tests: only request a single core. Closes:
    #1031192
  * d/clean: remove docs/autoapi and another straggler. Closes: #1047298

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 22 Aug 2023 15:46:37 +0200

toil (5.12.0-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * refreshed patches.
  * d/rules: wdltoil_test has a new path.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 21 Aug 2023 19:09:01 +0200

toil (5.11.0-2) unstable; urgency=medium

  * Exclude WDL from autopkgtests; as miniwdl isn't packaged yet for Debian

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 15 Jul 2023 09:43:56 +0200

toil (5.11.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Build-Depends: python3-sphinx-autoapi, python3-sphinx-autodoc-typehints,
                   python3-sphinxcontrib.autoprogram, docker.io

  [ Michael R. Crusoe ]
  * d/rules: skip the WDL tests (not packaged)
  * d/patches/setting_version.patch: update for Toil 5.11.0

 -- Andreas Tille <tille@debian.org>  Fri, 14 Jul 2023 22:43:13 +0200

toil (5.9.2-2) unstable; urgency=medium

  * Add patch to handle errors when testing on ec2.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 06 Feb 2023 19:24:07 +0100

toil (5.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/python3-xdist/python3-pytest-xdist/
    Closes: #1030558

 -- Andreas Tille <tille@debian.org>  Sun, 05 Feb 2023 08:38:00 +0100

toil (5.9.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: match build-deps to upstream
  * run tests in parallel

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 03 Feb 2023 19:05:54 +0100

toil (5.8.0-3) unstable; urgency=medium

  * d/patches/setting_version.patch: really keep the python minor
    version out

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 18 Jan 2023 15:24:50 +0100

toil (5.8.0-2) unstable; urgency=medium

  * set exactPython to "python3" to always use the system version
  * Recommend podman in addition to docker/singularity

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 15 Jan 2023 15:30:29 +0100

toil (5.8.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * refresh patches; remove test_safe_paths & typing_fix, they were
    applied upstream.
  * new dependency: python3-pubsub
  * new patch to avoid unpackaged mypy_boto3_s3
  * Skip the aws/test_iam.py tests
  * python3-boto{,3} is now a hard requirement

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 12 Jan 2023 23:33:14 +0100

toil (5.7.1-2) unstable; urgency=medium

  * d/test/control: re-enable running on arm64

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Dec 2022 16:06:23 +0100

toil (5.7.1-1) unstable; urgency=medium

  * d/watch: update for new tag structure
  * New upstream version
  * refresh patches
  * d/patches/typing_fix: workaround for us skipping the AWS extra
    during building
  * d/patches/newer_cwltool: the expression module is now part of cwl-utils,
    not cwltool
  * d/rules: skip more tests that fail when run as root
  * d/patches/test_safe_paths: fix for running tests post-installation
  * d/tests/run-unit-tests: skip same tests we skip in d/rules

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 21 Dec 2022 11:30:22 +0100

toil (5.6.0-7) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Drop unnecessary dependency on build-essential.
  * Make sure the doc applies to Debian installations with Python3
  * Update lintian-overrides
  * Set python3.10 instead of python3.9 in setting_version.patch
    Closes: #1013275

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jul 2022 17:39:37 +0200

toil (5.6.0-6) unstable; urgency=medium

  * Team Upload.
  * d/t/control: Test dep on python3-all (Closes: #1009201)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 16 Apr 2022 00:13:39 +0530

toil (5.6.0-5) unstable; urgency=medium

  * Team Upload.
  * d/t/control: Do not run autopkgtests on arm64

 -- Nilesh Patra <nilesh@debian.org>  Sat, 12 Mar 2022 01:41:12 +0530

toil (5.6.0-4) unstable; urgency=medium

  * Team Upload.
  * d/salsa-ci.yml: Disable reprotest
  * Apply patches before running autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Fri, 11 Mar 2022 03:46:49 +0530

toil (5.6.0-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with jobStores
    tests (Closes: #1005479)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 10 Mar 2022 17:55:25 +0530

toil (5.6.0-2) unstable; urgency=medium

  * {Autopkg,}tests: sync the skiped tests

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 24 Jan 2022 11:42:07 +0100

toil (5.6.0-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches, retiring cwl_test_path, spelling, and
    test_with_less_memory
  * Skip the py-tes dependency for now.
  * Skip testVirtualEnv

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 19 Jan 2022 14:23:52 +0100

toil (5.5.0-7) unstable; urgency=medium

  * Adjust depends to match cwltool 3.1.20211104071347 or greater.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Nov 2021 15:44:06 +0100

toil (5.5.0-6) unstable; urgency=medium

  * Support cwltool 3.1.20211104071347.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 05 Nov 2021 17:24:21 +0100

toil (5.5.0-5) unstable; urgency=medium

  * Another adjustment of disk/memory defaults for the autopkgtests.
  * debian/patches/exit_code_exception: Fix exception checking for
    exit_code

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Oct 2021 10:57:25 +0200

toil (5.5.0-4) unstable; urgency=medium

  * Adjust disk/memory defaults further downward for 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 06 Oct 2021 16:29:06 +0200

toil (5.5.0-3) unstable; urgency=medium

  * toil binary package depedency on recent cwltool as well.
  * Autopkgtests: skip collection of s3 tests

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 03 Oct 2021 13:20:18 +0200

toil (5.5.0-2) unstable; urgency=medium

  * Correct minimum versions for cwltool, python3-boto3

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Sep 2021 11:42:30 +0200

toil (5.5.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * d/p/python3: adopted upstream
  * skipped networking-based tests
  * d/u/metadta: onfirmed missing registry entries

  [ Michael R. Crusoe ]
  * New upstream version
  * Refresh patches
  * Bump minimum version of cwltool needed to 3.1.20210922203925
  * Testing: ignore src/toil/test/lib/aws/test_s3.py
  * Add testing dependency on python3-yaml.
  * debian/patches/spelling: fix some typos
  * debian/toil.lintian-overrides: documented another false positive

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Sep 2021 20:36:37 +0200

toil (5.2.0-5) unstable; urgency=high

  * debian/patches/test_with_less_memory: reduce default resource reqs
    for 32bit systems

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Feb 2021 11:24:49 +0100

toil (5.2.0-4) unstable; urgency=high

  * autopkgtests: skip some s3 related tests.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Feb 2021 08:29:12 +0100

toil (5.2.0-3) unstable; urgency=high

  * autopkgtests: add missing dependency on python3-stubserver

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Feb 2021 13:58:57 +0100

toil (5.2.0-2) unstable; urgency=high

  * Enable toil-wdl-runner now that python3-wdlparse is in Debian.
  * Enabled running the the tests during the build!

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Feb 2021 13:26:16 +0100

toil (5.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Freshen patches
  * update some copyright info
  * The python module "wdlparse" is not yet packaged for Debian; disable
    toil-wdl-runner in this release.
  * debian/control: update the minimum version of cwltool required

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 12:07:21 +0100

toil (4.2.0-1) unstable; urgency=medium

  * New upstream version
  * Remove unneeded no_virtualenv_to_create_manpages.patch; freshen remaining
    patches.
  * debian/tests/control: 'superficial' is a restriction, not a feature
  * Quiet a lintian false positive for repeated-path-segment

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 27 Aug 2020 11:26:41 +0200

toil (4.1.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed the patches
  * debhelper-compat 13 (routine-update)
  * Update patch metatdata

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 07 Aug 2020 17:14:01 +0200

toil (4.0.0-3) unstable; urgency=medium

  * Mark the autopkgtest as superficial. (Closes: #958574)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 06 May 2020 20:58:48 +0200

toil (4.0.0-2) unstable; urgency=medium

  * Add python3-distutils dependency, needed for python3-docker
  * debian/copyright: remove leading "./"

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 27 Apr 2020 15:55:22 +0200

toil (4.0.0-1) unstable; urgency=medium

  * New upstream version
  * Freshen our patches
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * python3-chardet is no longer needed

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 06 Apr 2020 13:56:50 +0200

toil (3.24.0-1) unstable; urgency=medium

  * New upstream version
  * refresh debian/patches/settings_version.patch from pypi sdist (must be
    done with every new upstream release!)
  * Allow the newer schema salad package (Closes: #951139)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 13:41:12 +0100

toil (3.23.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Removed patch 'debian/patches/fix_tests' which was applied upstream

 -- Steffen Moeller <moeller@debian.org>  Thu, 06 Feb 2020 00:15:16 +0100

toil (3.21.0-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 17 Nov 2019 15:13:56 +0100

toil (3.20.0-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Make the build reproducible, patch from lamby@debian.org; thanks!
    (Closes: #925191)
  * Update the patches.

  [ Andreas Tille ]
  * debhelper-compat 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.4.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 20 Mar 2019 21:46:34 -0500

toil (3.18.0-2) unstable; urgency=medium

  * Remove errant recommend on python3-futures and depends on python3-pytest*
    (Closes: #919228)
  * Refined the package description, added 'Provides: cwl-runner'
  * Remove the partial mesos support until python3-mesos is packaged
  * Suggests: docker.io | singularity-container | docker-ce
  * Added debian/TODO, updated debian/README.{debian,source}
  * Add basic smoke test ( `toil* --help` ) as an AutoPkgTest

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 13 Jan 2019 23:25:16 -0800

toil (3.18.0-1) unstable; urgency=medium

  * Initial release (Closes: #851365)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 07 Jan 2019 02:04:03 -0800
